com.opensymphony.xwork2.ognl.accessor

## Class XWorkListPropertyAccessor

- java.lang.Object
- - ognl.ObjectPropertyAccessor
  - - ognl.ListPropertyAccessor
    - - com.opensymphony.xwork2.ognl.accessor.XWorkListPropertyAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor

      public class XWorkListPropertyAccessor
      extends ognl.ListPropertyAccessor

  Overrides the list property accessor so in the case of trying to add properties of a given bean and the JavaBean is not present, this class will create the necessary blank JavaBeans.
  Author:
    Gabriel Zimmerman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkListPropertyAccessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getProperty(Map context, Object target, Object name)`
    `void` | `setAutoGrowCollectionLimit(String value)`
    `void` | `setDeprecatedAutoGrowCollectionLimit(String value)` Deprecated.
    `void` | `setObjectFactory(ObjectFactory fac)`
    `void` | `setObjectTypeDeterminer(ObjectTypeDeterminer ot)`
    `void` | `setOgnlUtil(OgnlUtil util)`
    `void` | `setProperty(Map context, Object target, Object name, Object value)`
    `void` | `setXWorkCollectionPropertyAccessor(ognl.PropertyAccessor acc)`
    `void` | `setXWorkConverter(XWorkConverter conv)`

    - ### Methods inherited from class ognl.ListPropertyAccessor

      `getPropertyClass, getSourceAccessor, getSourceSetter`

    - ### Methods inherited from class ognl.ObjectPropertyAccessor

      `getPossibleProperty, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XWorkListPropertyAccessor

          public XWorkListPropertyAccessor()

  - ### Method Detail

    - #### setDeprecatedAutoGrowCollectionLimit

          @Deprecated
          public void setDeprecatedAutoGrowCollectionLimit(String value)

      Deprecated.

    - #### setAutoGrowCollectionLimit

          public void setAutoGrowCollectionLimit(String value)

    - #### setXWorkCollectionPropertyAccessor

          public void setXWorkCollectionPropertyAccessor(ognl.PropertyAccessor acc)

    - #### setXWorkConverter

          public void setXWorkConverter(XWorkConverter conv)

    - #### setObjectFactory

          public void setObjectFactory(ObjectFactory fac)

    - #### setObjectTypeDeterminer

          public void setObjectTypeDeterminer(ObjectTypeDeterminer ot)

    - #### setOgnlUtil

          public void setOgnlUtil(OgnlUtil util)

    - #### getProperty

          public Object getProperty(Map context,
                           Object target,
                           Object name)
                             throws ognl.OgnlException

      Specified by:
        `getProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `getProperty` in class `ognl.ListPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### setProperty

          public void setProperty(Map context,
                         Object target,
                         Object name,
                         Object value)
                           throws ognl.OgnlException

      Specified by:
        `setProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `setProperty` in class `ognl.ListPropertyAccessor`
      Throws:
        `ognl.OgnlException`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.